"use client";
import { H } from "@highlight-run/next/client";
import { WhopAPI } from "@whop-apps/sdk";
import { useEffect } from "react";
export async function retrieveUserApp() {
    const user = await WhopAPI.me({
        token: null
    }).GET("/me", {});
    if (!user.isOk) return null;
    return user.data;
}
export function identifyUser(user) {
    if (!user) return;
    H.identify(user.id, {
        ...user,
        ...user.profile_pic_url && {
            avatar: user.profile_pic_url
        }
    });
}
export function useIdentifyUser({ user }) {
    useEffect(()=>{
        identifyUser(user);
    }, [
        user
    ]);
}
export function useIdentifyUserFetch() {
    useEffect(()=>{
        retrieveUserApp().then(identifyUser).catch(()=>null);
    }, []);
}
