"use client";
import { HighlightInit } from "@highlight-run/next/client";
import React from "react";
import { HIGHLIGHT_PROJECT_ID } from "./consts";
import { useIdentifyUserFetch } from "./identify-user";
const networkRecordingConfig = {
    enabled: true,
    recordHeadersAndBody: true
};
export function WhopAppsObservabilityProvider({ serviceName, children }) {
    useIdentifyUserFetch();
    return React.createElement(React.Fragment, null, React.createElement(HighlightInit, {
        projectId: HIGHLIGHT_PROJECT_ID,
        serviceName: serviceName,
        environment: process.env.NEXT_PUBLIC_VERCEL_ENV,
        tracingOrigins: true,
        inlineStylesheet: true,
        inlineImages: false,
        enablePerformanceRecording: true,
        recordCrossOriginIframe: false,
        privacySetting: "none",
        networkRecording: networkRecordingConfig
    }), children);
}
